Constants (Apache Tomcat 9.0.107 API Documentation)
Description: declaration: package: org.apache.catalina.startup, class: Constants

# Class Constants

java.lang.Object
org.apache.catalina.startup.Constants

public final class Constants extends Object
String constants for the startup package.
Note that some values include a leading '/' and that some do not. This is intentional based on how the values are used.

Author:
  Craig R. McClanahan

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ApplicationContextXml`
  `static final String`
  `ApplicationWebXml`
  `static final String`
  `CATALINA_BASE_PROP`
  Name of the system property containing the tomcat instance installation path
  `static final String`
  `CATALINA_HOME_PROP`
  Name of the system property containing the tomcat product installation path
  `static final String`
  `DefaultContextXml`
  `static final String`
  `DefaultWebXml`
  `static final String`
  `HostContextXml`
  `static final String`
  `HostWebXml`
  `static final String`
  `NoDefaultWebXml`
  A value that points to a non-existent file used to suppress loading the default web.xml file.
  `static final String`
  `Package`
  `static final String`
  `TomcatWebXml`
  `static final String`
  `WarTracker`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Constants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### Package

    public static final String Package
    See Also:
      - Constant Field Values

  - ### ApplicationContextXml

    public static final String ApplicationContextXml
    See Also:
      - Constant Field Values

  - ### ApplicationWebXml

    public static final String ApplicationWebXml
    See Also:
      - Constant Field Values

  - ### TomcatWebXml

    public static final String TomcatWebXml
    See Also:
      - Constant Field Values

  - ### DefaultContextXml

    public static final String DefaultContextXml
    See Also:
      - Constant Field Values

  - ### DefaultWebXml

    public static final String DefaultWebXml
    See Also:
      - Constant Field Values

  - ### HostContextXml

    public static final String HostContextXml
    See Also:
      - Constant Field Values

  - ### HostWebXml

    public static final String HostWebXml
    See Also:
      - Constant Field Values

  - ### WarTracker

    public static final String WarTracker
    See Also:
      - Constant Field Values

  - ### NoDefaultWebXml

    public static final String NoDefaultWebXml
    A value that points to a non-existent file used to suppress loading the default web.xml file.

    It is useful when embedding Tomcat, when the default configuration is done programmatically, e.g. by calling `Tomcat.initWebappDefaults(context)`.

    See Also:
      - `Tomcat`
      - Constant Field Values

  - ### CATALINA_HOME_PROP

    public static final String CATALINA_HOME_PROP
    Name of the system property containing the tomcat product installation path
    See Also:
      - Constant Field Values

  - ### CATALINA_BASE_PROP

    public static final String CATALINA_BASE_PROP
    Name of the system property containing the tomcat instance installation path
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Constants

    public Constants()